Get all project activities contractual dates

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/activity-contractual-dates

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • projectId integer(int64)
    • activityId integer(int64)
    • dataDate string(date-time)
    • contractualEndDate string(date-time)
GET /project/{projectId}/activity-contractual-dates
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/activity-contractual-dates' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "projectId": 42,
    "activityId": 42,
    "dataDate": "2026-05-04T09:42:00Z",
    "contractualEndDate": "2026-05-04T09:42:00Z"
  }
]